import selectors  # isort:skip # noqa: F401
selectors._PollLikeSelector.modify = selectors._BaseSelectorImpl.modify  # noqa: E402


from aiopg import sa

from src.config import settings


def create_engine():
    return sa.create_engine(**settings.db_settings)


def create_dataswamp_engine():
    return sa.create_engine(**settings.dataswamp_db_settings)
